summaryrefslogtreecommitdiff
path: root/openwrt/scripts/make-ipkg-dir.sh
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2006-05-31 12:33:06 +0000
committerFelix Fietkau <nbd@openwrt.org>2006-05-31 12:33:06 +0000
commit445b861749781b117ebf7e0f479bcdf88bd9cb98 (patch)
treeaadea6228300fe2a58aa97ab10498237e3523513 /openwrt/scripts/make-ipkg-dir.sh
parent87eac4e652d2d1a6ceb594908e56563fab352175 (diff)
downloadmtk-20170518-445b861749781b117ebf7e0f479bcdf88bd9cb98.zip
mtk-20170518-445b861749781b117ebf7e0f479bcdf88bd9cb98.tar.gz
mtk-20170518-445b861749781b117ebf7e0f479bcdf88bd9cb98.tar.bz2
allow building of kernel-specific stuff in package/ instead of target/linux/package/ and merge target/linux/package/base-files into package/base-files
SVN-Revision: 3855
Diffstat (limited to 'openwrt/scripts/make-ipkg-dir.sh')
-rwxr-xr-xopenwrt/scripts/make-ipkg-dir.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/openwrt/scripts/make-ipkg-dir.sh b/openwrt/scripts/make-ipkg-dir.sh
new file mode 100755
index 0000000..236cb6f
--- /dev/null
+++ b/openwrt/scripts/make-ipkg-dir.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+BASE=http://svn.openwrt.org/openwrt/trunk/openwrt
+TARGET=$1
+CONTROL=$2
+VERSION=$3
+ARCH=$4
+
+WD=$(pwd)
+
+mkdir -p "$TARGET/CONTROL"
+grep '^[^(Version|Architecture)]' "$CONTROL" > "$TARGET/CONTROL/control"
+grep '^Maintainer' "$CONTROL" 2>&1 >/dev/null || \
+ echo "Maintainer: OpenWrt Developers Team <openwrt-devel@openwrt.org>" >> "$TARGET/CONTROL/control"
+grep '^Source' "$CONTROL" 2>&1 >/dev/null || {
+ pkgbase=$(echo "$WD" | sed -e "s|^$TOPDIR/||g")
+ [ "$pkgbase" = "$WD" ] && src="N/A" || src="$BASE/$pkgbase"
+ echo "Source: $src" >> "$TARGET/CONTROL/control"
+}
+echo "Version: $VERSION" >> "$TARGET/CONTROL/control"
+echo "Architecture: $ARCH" >> "$TARGET/CONTROL/control"
+chmod 644 "$TARGET/CONTROL/control"